package com.ytpm.middle.service;

import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;
import com.ytpm.middle.param.AgentBaseInfoParam;
import com.ytpm.middle.param.AgentForm;
import com.ytpm.middle.view.AgentBaseInfoListVO;

public interface AgentService {
    /**
     * 渠道商基本信息列表
     */
    ResultTable<AgentBaseInfoListVO> getBaseInfoList(AgentBaseInfoParam param);
    /**
     * 新增渠道商
     */
    Result<String> addOne(AgentForm form);

    /**
     * 修改代理商
     */
    Result<String> updateOne(AgentForm form);
    /**
     * 启用或禁用
     */
    Result<String> enabled(String creditCode, String userId);
    /**
     * 重置密码
     */
    Result<String> resetPwd(String creditCode);
}
